## sup 1.8

=== Makefile ===
# Copyright (c) 1992,1991 Carnegie Mellon University
# All Rights Reserved.
# 
# Permission to use, copy, modify and distribute this software and its
# documentation is hereby granted, provided that both the copyright
# notice and this permission notice appear in all copies of the
# software, derivative works or modified versions, and any portions
# thereof, and that both notices appear in supporting documentation.
#
# CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
# CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
#
# Carnegie Mellon requests users of this software to return to
#
#  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
#  School of Computer Science
#  Carnegie Mellon University
#  Pittsburgh PA 15213-3890
#
# any improvements or extensions that they make and grant Carnegie the rights
# to redistribute these changes.
######################################################################
# Makefile to build sup (the client side), supfilesrv (the repository
# side, and supscan (used by the repository. If you only want to sup
# files from CMU, just build sup.
# The header files: c.h, libc.h and sysent.h are only
# necessary if you are compiling on a non-Mach system. Likewise the
# files in libextra.a are normally found in libcs.a on a Mach system.
# DOPRINT_VA is used by vprintf.c and should be defined if your version
# of libc/doprnt.c defines the routine _doprnt_va. If it defines _doprnt
# instead, leave DORPINT_VA undefined.
######################################################################
#
# If you need to build a sup for export outside of North America use
# 	"make EXPORTABLE_SYSTEM=true"
# this will remove (not use) any vestiges of crypt code that is present
# on the system.
#
# If you have crypt/crypt.c and /usr/lib/libcrypt.a, you will be building
# a system that uses the SUP crypt mechanism by default.
#
SITE			= NETBSD
#SITE			= CMUCS
NETBSD_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON
AFS_DEFINES		= -DAFS -I/usr/afsws/include
OSF_DEFINES		= -UMACH -DOSF -D_BSD -noshrlib -g -DNEED_VSNPRINTF -DVAR_TMP
CMUCS_DEFINES		= -DMACH -DDOPRINT_VA -DNEED_VPRINTF
NON_MACH_DEFINES	= -UMACH
#DEFS			= -UCMUCS -UCMU  ${${SITE}_DEFINES}
DEFS			= -UCMUCS -UCMU  ${NETBSD_DEFINES}

#INSTALLATION PARAMETERS
NETBSD_BINDIR		= /usr/local/bin
NETBSD_MAN1		= /usr/local/man/man1
NETBSD_MAN8		= /usr/local/man/man8

CFLAGS			= ${DEFS} -O -I.

SUPCL			= supcmain.o supcvers.o supcparse.o supcname.o \
			  supcmisc.o supcmeat.o
SUPS			= scm.o scmio.o stree.o log.o supmsg.o netcrypt.o
EXTRA			= atoo.o errmsg.o expand.o ffilecopy.o filecopy.o nxtarg.o  \
			  path.o quit.o run.o salloc.o skipto.o  vprintf.o


PROGRAMS		= sup supscan supfilesrv
MAN1			= sup.1
MAN8			= supservers.8

AFS_LIBPATH		= /usr/afs/lib
AFS_LIBS		= -L${AFS_LIBPATH}/afs -lkauth -lprot -L${AFS_LIBPATH} -lubik -lauth -lrxkad -lsys -ldes -lrx -llwp -lcmd -lcom_err -lc ${AFS_LIBPATH}/afs/util.a

.if exists(/usr/lib/libcrypt.a) && exists(${.CURDIR}/crypt/crypt.c) && !defined(EXPORTABLE_SYSTEM)
USE_CRYPT		= yes
.endif

.if defined(USE_CRYPT)
NETBSD_LIBS		= -lcrypt -lutil
.else
NETBSD_LIBS		= -lutil
.endif
CMUCS_LIBS		= -lsys
OSF_LIBS		= -lbsd
LIBS			= libextra.a
sup_OFILES		= ${SUPCL} ${SUPS}
supfilesrv_OFILES	= supfilesrv.o scan.o ${SUPS}
supfilesrv_LIBS		= libextra.a 
supscan_OFILES		= supscan.o stree.o scan.o


all: ${PROGRAMS}
.if defined(USE_CRYPT)
	@echo "WARNING: You have built a NON-exportable version of sup because it uses crypt()!"
	@echo "	To build a crypt-clean version define EXPORTABLE_SYSTEM=true and make."
.endif

sup: ${sup_OFILES} ${LIBS}
	${CC} ${CFLAGS} -o sup ${sup_OFILES} ${LIBS} ${NETBSD_LIBS}

supfilesrv: ${supfilesrv_OFILES} ${supfilesrv_LIBS}
	${CC} ${CFLAGS} -o supfilesrv ${supfilesrv_OFILES} ${supfilesrv_LIBS} ${NETBSD_LIBS}

supscan:  ${supscan_OFILES} ${LIBS}
	${CC} ${CFLAGS} -o supscan ${supscan_OFILES} ${LIBS} ${NETBSD_LIBS}

libextra.a: ${EXTRA}
	ar r libextra.a $?
	ranlib libextra.a

clean:
	rm -f ${PROGRAMS} libextra.a netcrypt.c *.o core a.out

install:
	install -cs -m 555 -o bin -g bin ${PROGRAMS} ${NETBSD_BINDIR}
	install -c -m 444 -o bin -g bin ${MAN1} ${NETBSD_MAN1}
	install -c -m 444 -o bin -g bin ${MAN8} ${NETBSD_MAN8}

package: install
	pkg_create -c pkg/+ONELINE -d pkg/+DESC -f pkg/+PLIST sup_bin

netcrypt.c: crypt.diffs
.if defined(USE_CRYPT)
	ed - crypt/crypt.c < crypt.diffs
.else
	@echo "[ Using netcryptvoid.c ]"
	cp netcryptvoid.c netcrypt.c
.endif

scan.o:	sup.h
scm.o:	sup.h
scmio.o: sup.h supmsg.h
stree.o: sup.h
supcmain.o: sup.h supmsg.h supcdefs.h
supcmeat.o: sup.h supmsg.h supcdefs.h
supcmisc.o: sup.h supmsg.h supcdefs.h
supcname.o: sup.h supmsg.h supcdefs.h
supcparse.o: sup.h supmsg.h supcdefs.h
supfilesrv.o: sup.h supmsg.h
supmsg.o: sup.h supmsg.h
supscan.o: sup.h
netcryptvoid.o: sup.h supmsg.h
netcrypt.o: sup.h supmsg.h

## sup 20060803

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+#	$NetBSD: Makefile,v 1.24 2006/04/02 01:39:48 christos Exp $
 # Copyright (c) 1992,1991 Carnegie Mellon University
 # All Rights Reserved.
 # 
@@ -24,7 +25,7 @@
 # Makefile to build sup (the client side), supfilesrv (the repository
 # side, and supscan (used by the repository. If you only want to sup
 # files from CMU, just build sup.
-# The header files: c.h, libc.h and sysent.h are only
+# The header files: c.h and libc.h are only
 # necessary if you are compiling on a non-Mach system. Likewise the
 # files in libextra.a are normally found in libcs.a on a Mach system.
 # DOPRINT_VA is used by vprintf.c and should be defined if your version
@@ -40,28 +41,45 @@
 # If you have crypt/crypt.c and /usr/lib/libcrypt.a, you will be building
 # a system that uses the SUP crypt mechanism by default.
 #
-SITE			= NETBSD
+# If building on non 4.4BSD systems, you'll need the vis(3) and the daemon(3)
+# functions from libc and libutil
+
+#SITE			= SUNOS
+#SITE			= SOLARIS
+#SITE			= NETBSD
 #SITE			= CMUCS
-NETBSD_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON
+SITE1			!= uname -s | tr '[a-z]' '[A-Z]'
+SITE2			=$(shell uname -s | tr '[a-z]' '[A-Z]')
+SITE			= ${SITE1}${SITE2}
+TARDIR			= sup-0.0
+
+LINUX_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR
+NETBSD_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR \
+			    -DHAS_FPARSELN -DHAS_FGETLN -DHAS_VIS
+SOLARIS_DEFINES		= -UMACH -DVAR_TMP -DHAS_POSIX_DIR -DNEED_VSNPRINTF
 AFS_DEFINES		= -DAFS -I/usr/afsws/include
-OSF_DEFINES		= -UMACH -DOSF -D_BSD -noshrlib -g -DNEED_VSNPRINTF -DVAR_TMP
+OSF_DEFINES		= -UMACH -DOSF -D_BSD -noshrlib -g -DNEED_VSNPRINTF \
+			    -DVAR_TMP
+SUNOS_DEFINES		= -UMACH -D_BSD -DNEED_VSNPRINTF -DVAR_TMP \
+			    -DHAS_POSIX_DIR -DHAS_DAEMON -DNEED_DAEMON
 CMUCS_DEFINES		= -DMACH -DDOPRINT_VA -DNEED_VPRINTF
 NON_MACH_DEFINES	= -UMACH
-#DEFS			= -UCMUCS -UCMU  ${${SITE}_DEFINES}
-DEFS			= -UCMUCS -UCMU  ${NETBSD_DEFINES}
+
 
 #INSTALLATION PARAMETERS
-NETBSD_BINDIR		= /usr/local/bin
-NETBSD_MAN1		= /usr/local/man/man1
-NETBSD_MAN8		= /usr/local/man/man8
+PREFIX		       ?= /usr/local/
+NETBSD_BINDIR		= ${PREFIX}/sbin
+NETBSD_MAN1		= ${PREFIX}/man/man1
+NETBSD_MAN8		= ${PREFIX}/man/man8
 
 CFLAGS			= ${DEFS} -O -I.
 
 SUPCL			= supcmain.o supcvers.o supcparse.o supcname.o \
 			  supcmisc.o supcmeat.o
 SUPS			= scm.o scmio.o stree.o log.o supmsg.o netcrypt.o
-EXTRA			= atoo.o errmsg.o expand.o ffilecopy.o filecopy.o nxtarg.o  \
-			  path.o quit.o run.o salloc.o skipto.o  vprintf.o
+EXTRA			= atoo.o errmsg.o expand.o ffilecopy.o filecopy.o \
+			  nxtarg.o path.o quit.o read_line.o run.o estrdup.o \
+			  skipto.o vprintf.o
 
 
 PROGRAMS		= sup supscan supfilesrv
@@ -71,62 +89,56 @@
 AFS_LIBPATH		= /usr/afs/lib
 AFS_LIBS		= -L${AFS_LIBPATH}/afs -lkauth -lprot -L${AFS_LIBPATH} -lubik -lauth -lrxkad -lsys -ldes -lrx -llwp -lcmd -lcom_err -lc ${AFS_LIBPATH}/afs/util.a
 
-.if exists(/usr/lib/libcrypt.a) && exists(${.CURDIR}/crypt/crypt.c) && !defined(EXPORTABLE_SYSTEM)
-USE_CRYPT		= yes
-.endif
-
-.if defined(USE_CRYPT)
-NETBSD_LIBS		= -lcrypt -lutil
-.else
-NETBSD_LIBS		= -lutil
-.endif
+NETBSD_LIBS		= -lcrypt
+LINUX_LIBS		= -lcrypt
 CMUCS_LIBS		= -lsys
 OSF_LIBS		= -lbsd
-LIBS			= libextra.a
+EXTRALIBS		= libextra.a
 sup_OFILES		= ${SUPCL} ${SUPS}
 supfilesrv_OFILES	= supfilesrv.o scan.o ${SUPS}
 supfilesrv_LIBS		= libextra.a 
 supscan_OFILES		= supscan.o stree.o scan.o
+SOLARIS_LIBS		= -lsocket -lnsl
+SUNOS_LIBS		= 
 
+DEFS			= -UCMUCS -UCMU  ${${SITE}_DEFINES}
+LIBS			= ${EXTRALIBS}
 
 all: ${PROGRAMS}
-.if defined(USE_CRYPT)
-	@echo "WARNING: You have built a NON-exportable version of sup because it uses crypt()!"
-	@echo "	To build a crypt-clean version define EXPORTABLE_SYSTEM=true and make."
-.endif
 
 sup: ${sup_OFILES} ${LIBS}
-	${CC} ${CFLAGS} -o sup ${sup_OFILES} ${LIBS} ${NETBSD_LIBS}
+	${CC} ${CFLAGS} -o sup ${sup_OFILES} ${LIBS} ${${SITE}_LIBS}
 
 supfilesrv: ${supfilesrv_OFILES} ${supfilesrv_LIBS}
-	${CC} ${CFLAGS} -o supfilesrv ${supfilesrv_OFILES} ${supfilesrv_LIBS} ${NETBSD_LIBS}
+	${CC} ${CFLAGS} -o supfilesrv ${supfilesrv_OFILES} ${supfilesrv_LIBS} ${LIBS} ${${SITE}_LIBS}
 
 supscan:  ${supscan_OFILES} ${LIBS}
-	${CC} ${CFLAGS} -o supscan ${supscan_OFILES} ${LIBS} ${NETBSD_LIBS}
+	${CC} ${CFLAGS} -o supscan ${supscan_OFILES} ${LIBS} ${${SITE}_LIBS}
 
 libextra.a: ${EXTRA}
 	ar r libextra.a $?
 	ranlib libextra.a
 
-clean:
+clean cleandir distclean:
 	rm -f ${PROGRAMS} libextra.a netcrypt.c *.o core a.out
 
-install:
+install: ${PROGRAMS}
 	install -cs -m 555 -o bin -g bin ${PROGRAMS} ${NETBSD_BINDIR}
 	install -c -m 444 -o bin -g bin ${MAN1} ${NETBSD_MAN1}
 	install -c -m 444 -o bin -g bin ${MAN8} ${NETBSD_MAN8}
 
-package: install
-	pkg_create -c pkg/+ONELINE -d pkg/+DESC -f pkg/+PLIST sup_bin
-
-netcrypt.c: crypt.diffs
-.if defined(USE_CRYPT)
-	ed - crypt/crypt.c < crypt.diffs
-.else
+netcrypt.c:
 	@echo "[ Using netcryptvoid.c ]"
 	cp netcryptvoid.c netcrypt.c
-.endif
 
+tar:
+	mkdir ${TARDIR} ${TARDIR}/sys
+	cp -p *.[ch18] Makefile ${TARDIR}
+	cp -p sys/*.h ${TARDIR}/sys
+	tar -czf ${TARDIR}.tar.gz ${TARDIR}
+	rm -fr ${TARDIR}
+
+read_line.o: supextern.h
 scan.o:	sup.h
 scm.o:	sup.h
 scmio.o: sup.h supmsg.h

## sup 20100519

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#	$NetBSD: Makefile,v 1.24 2006/04/02 01:39:48 christos Exp $
+#	$NetBSD: Makefile,v 1.32 2009/01/15 15:57:18 christos Exp $
 # Copyright (c) 1992,1991 Carnegie Mellon University
 # All Rights Reserved.
 # 
@@ -47,14 +47,20 @@
 #SITE			= SUNOS
 #SITE			= SOLARIS
 #SITE			= NETBSD
+#SITE			= FREEBSD
 #SITE			= CMUCS
-SITE1			!= uname -s | tr '[a-z]' '[A-Z]'
-SITE2			=$(shell uname -s | tr '[a-z]' '[A-Z]')
+SITE1			!= uname -s | tr '[a-z]' '[A-Z]' \
+			    | sed -e s/_.*//g
+SITE2			= $(shell uname -s | tr '[a-z]' '[A-Z]' \
+			    | sed -e s/_.*//g)
 SITE			= ${SITE1}${SITE2}
-TARDIR			= sup-0.0
+TARDIR			= sup-0.3
 
-LINUX_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR
+LINUX_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR \
+			  -DNEED_SETPROCTITLE
 NETBSD_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR \
+			    -DHAS_FPARSELN -DHAS_FGETLN -DHAS_VIS
+FREEBSD_DEFINES		= -UMACH -DVAR_TMP -DHAS_DAEMON -DHAS_POSIX_DIR \
 			    -DHAS_FPARSELN -DHAS_FGETLN -DHAS_VIS
 SOLARIS_DEFINES		= -UMACH -DVAR_TMP -DHAS_POSIX_DIR -DNEED_VSNPRINTF
 AFS_DEFINES		= -DAFS -I/usr/afsws/include
@@ -62,24 +68,25 @@
 			    -DVAR_TMP
 SUNOS_DEFINES		= -UMACH -D_BSD -DNEED_VSNPRINTF -DVAR_TMP \
 			    -DHAS_POSIX_DIR -DHAS_DAEMON -DNEED_DAEMON
+CYGWIN_DEFINES	= -UMACH -DVAR_TMP -DHAS_POSIX_DIR
 CMUCS_DEFINES		= -DMACH -DDOPRINT_VA -DNEED_VPRINTF
 NON_MACH_DEFINES	= -UMACH
 
 
 #INSTALLATION PARAMETERS
-PREFIX		       ?= /usr/local/
+PREFIX		       ?= /usr/pkg/
 NETBSD_BINDIR		= ${PREFIX}/sbin
 NETBSD_MAN1		= ${PREFIX}/man/man1
 NETBSD_MAN8		= ${PREFIX}/man/man8
 
-CFLAGS			= ${DEFS} -O -I.
+CFLAGS			= ${DEFS} -O -I. -g
 
 SUPCL			= supcmain.o supcvers.o supcparse.o supcname.o \
 			  supcmisc.o supcmeat.o
 SUPS			= scm.o scmio.o stree.o log.o supmsg.o netcrypt.o
-EXTRA			= atoo.o errmsg.o expand.o ffilecopy.o filecopy.o \
+EXTRA			= atoo.o expand.o ffilecopy.o filecopy.o \
 			  nxtarg.o path.o quit.o read_line.o run.o estrdup.o \
-			  skipto.o vprintf.o
+			  skipto.o vprintf.o setproctitle.o
 
 
 PROGRAMS		= sup supscan supfilesrv
@@ -90,7 +97,10 @@
 AFS_LIBS		= -L${AFS_LIBPATH}/afs -lkauth -lprot -L${AFS_LIBPATH} -lubik -lauth -lrxkad -lsys -ldes -lrx -llwp -lcmd -lcom_err -lc ${AFS_LIBPATH}/afs/util.a
 
 NETBSD_LIBS		= -lcrypt
+FREEBSD_LIBS		= -lcrypt
+DRAGONFLY_LIBS		= -lcrypt
 LINUX_LIBS		= -lcrypt
+CYGWIN_LIBS		= -lcrypt
 CMUCS_LIBS		= -lsys
 OSF_LIBS		= -lbsd
 EXTRALIBS		= libextra.a
@@ -102,6 +112,8 @@
 SUNOS_LIBS		= 
 
 DEFS			= -UCMUCS -UCMU  ${${SITE}_DEFINES}
+#DEFS			+= -DDEFDIR=\"${PREFIX}/libdata/sup\"
+#DEFS			+= -DEE_XXX -DDEFSCAN=\"/var/\" -DDEFUSER=\"nobody\"
 LIBS			= ${EXTRALIBS}
 
 all: ${PROGRAMS}

=== debian/changelog ===
sup (20100519-8) unstable; urgency=medium

  * QA Upload
  * Add libcrypt-dev to Build-Depends (Closes: #1106952)
  * Trim obvious quilt from README.source
  * Drop "Rules-Requires-Root: no"
  * Set Standards-Version 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Sep 2025 10:21:38 +0200

sup (20100519-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to document branch layout and enforce pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Use wrap-and-sort -at for debian control files.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 Dec 2024 21:14:18 +0100

sup (20100519-6) unstable; urgency=medium

  * QA upload.
  * debian/upstream/metadata: Add upstream metadata information.

 -- Antonio Samuel bastos de Almeida <antoniosamuel@alunos.utfpr.edu.br>  Mon, 09 Dec 2024 22:03:39 -0300

sup (20100519-5) unstable; urgency=medium

  * QA upload.
  * Patch Makefile for "Rules-Requires-Root: no" (Closes: #1089445)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 14:53:08 +0100

sup (20100519-4) unstable; urgency=medium

  * QA upload.
  * set std-ver to 4.7.0.
  * Add 07_fix-implicit-function-declaration.patch to fix ftbfs issue.
    (Closes: #1066658)

  [ Bastian Germann ]
  * d/copyright: Convert to machine-readable format.

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 11 Apr 2024 16:41:22 +0800

sup (20100519-3) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957849)
  * Remove trailing whitespace from d/changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 05 Aug 2020 12:53:16 +0100

sup (20100519-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #891763)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Marcio Demetrio Bacci <marciobacci@gmail.com>  Fri, 15 May 2020 09:58:56 -0300

sup (20100519-1) unstable; urgency=low

  * Update to new upstream snapshot.
  * Refresh 04_fix_man.patch as several man page problems are fixed
    upstream now.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4

 -- Jochen Friedrich <jochen@scram.de>  Wed, 19 May 2010 19:10:12 +0200

sup (20091019-1) unstable; urgency=low

  * Update to new upstream snapshot.
  * Convert to debhelper 7 and quilt.
  * Fix compile on GNU/kFreeBSD. (Closes: #403816)
  * Add patch to fix man pages.
  * Bumped standards version to 3.8.3.
  * Update Makefile patch to not strip any binaries. (Closes: #438074)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 20 Oct 2009 17:18:49 +0200

sup (20060803-2) unstable; urgency=low

  * Fix CFLAGS, so libwrap is built into sup again.

 -- Jochen Friedrich <jochen@scram.de>  Thu,  2 Nov 2006 15:03:30 +0100

sup (20060803-1) unstable; urgency=low

  * New source tarball downloaded from NetBSD CVS.
  * sup now supports libwrap.
  * converted to use cdbs.
  * bumped standards version to 3.7.2.

 -- Jochen Friedrich <jochen@scram.de>  Fri,  4 Aug 2006 14:39:07 +0200

sup (1.8-12) unstable; urgency=low

  * Fix nasty server mode bug. Thanks for noticing to
    Frank Brase <brase@lucent.com>.
  * Update standards version to 3.6.2.

 -- Jochen Friedrich <jochen@scram.de>  Mon, 19 Dec 2005 17:41:14 +0100

sup (1.8-11) unstable; urgency=high

  * Really bumped standards version to 3.6.1.
  * Added patch from DSA-521 (Closes: #255405). Urgency high.

 -- Jochen Friedrich <jochen@scram.de>  Sat,  3 Jul 2004 17:22:16 +0200

sup (1.8-10) unstable; urgency=low

  * Bumped standards version to 3.6.1 (no changes required).
  * Fixed errno handling (Thanks to Thorsten Sauter <tsauter@debian.org>
    for the patch) (Closes: #223422).
  * Corrected debian/copyright.
  * Documented IPv6 options in man page.

 -- Jochen Friedrich <jochen@scram.de>  Tue, 30 Dec 2003 22:02:24 +0100

sup (1.8-9) unstable; urgency=medium

  * Added IPv6 patch from Jun-ichiro itojun Hagino <itojun@iijlab.net>
  * Copied varargs->stdarg changes from NetBSD (closes: #195256)
  * Changed errmsg to use strerror. Copied from NetBSD.
  * Fixed compiler warnings (extra tokens after #else and #endif)
  * Fixed insecure tmp file creation (closes: #175327)
  * New maintainer (closes: #192670)

 -- Jochen Friedrich <jochen@scram.de>  Wed, 16 Jul 2003 23:27:10 +0200

sup (1.8-8) unstable; urgency=low

  * Update to standards version 3.5.2. (closes: #91041)

 -- Martin Mitchell <martin@debian.org>  Sun, 25 Mar 2001 23:47:33 +1000

sup (1.8-7) frozen unstable; urgency=low

  * Compilation fixes for alpha. (#26288)

 -- Martin Mitchell <martin@debian.org>  Wed,  4 Nov 1998 02:04:36 +1100

sup (1.8-6) frozen unstable; urgency=medium

  * Fix critical compilation problem, which prevented this package
    being compiled from source. (#23080)

 -- Martin Mitchell <martin@debian.org>  Thu,  4 Jun 1998 04:08:02 +1000

sup (1.8-5) frozen unstable; urgency=low

  * Include patch for shadow password support. (#18546)
    (Thanks Eizi Toyoda <toyoda@ms.u-tokyo.ac.jp> and
     Keiichi Ishioka <ishioka@ms.u-tokyo.ac.jp> )
  * Update to standards version 2.4.1.
  * Rewrite rules file to be fully standards compliant. (#22564)

 -- Martin Mitchell <martin@debian.org>  Tue, 19 May 1998 02:24:06 +1000

sup (1.8-4) unstable; urgency=low

  * New maintainer.
  * Libc6 compile.
  * Update to standards version 2.3.0.1.

 -- Martin Mitchell <martin@debian.org>  Tue, 11 Nov 1997 23:24:41 +1100

sup (1.8-3) contrib; urgency=low

  * Fixed extended description (#6652).

 -- Klee Dienes <klee@debian.org>  Mon, 20 Jan 1997 23:34:04 -0500

sup (1.8-2) contrib; urgency=low

  * Minor packaging fixes.

 -- Klee Dienes <klee@debian.org>  Thu, 16 Jan 1997 12:06:40 -0500

sup (1.8-1) contrib; urgency=low

  * Initial release.

 -- Klee Dienes <klee@debian.org>  Wed, 6 Nov 1996 17:17:47 -0700

Local Variables:


=== debian/control ===
Source: sup
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libcrypt-dev,
 libwrap0-dev,
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/sup
Vcs-Git: https://salsa.debian.org/debian/sup.git

Package: sup
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Software Upgrade Protocol implementation
 The SUP System is a set of programs developed by Carnegie Mellon
 University that provide for collections of files to be maintained in
 identical versions across a number of machines.  These programs are:
 .
 SUP: The "client" program, run by users or system maintainers, which
 initiates the upgrade activity  on  a  machine  requesting  the
 latest  version of a collection of files.  SUP will normally be
 run as a daemon, firing up once  each  night  (week,  etc.)  to
 upgrade the specified file collections.
 .
 SUPFILESRV: The "file server" program, a daemon that is run by the
 system maintainer to service requests for files initiated by client
 SUP programs.  The file server runs on every machine used as a
 "repository" of distributable versions of files.  It runs continuously
 and listens for network connection requests by individual client
 processes; for each individual client request, a process is forked to
 service that request.
 .
 SUPSCAN: The "file scanner" program, that may optionally be run
 periodically to speed up execution of the file server.  It
 pre-compiles a list of files on the file system that match the
 specifications for a given file collection so that the file server
 need not do this during each upgrade of that collection.  The file
 scanner is normally used daily for very large file collections that
 are upgraded by many clients each day; it is not so useful for small
 file collections or for those that are upgraded by only a few client
 machines per day.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION ?=20100519

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEBIANCFLAGS="${CFLAGS}" SITE=LINUX

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/sup/usr
	dh_installdocs debian/sup.doc

get-orig-source:
	@cd /tmp; cvs -d "anoncvs@anoncvs.netbsd.org:/cvsroot" co -D ${UPSTREAM_VERSION} src/usr.sbin/sup/source
	@cd /tmp/src/usr.sbin/sup; mv source sup-${UPSTREAM_VERSION}; tar czf /tmp/sup_${UPSTREAM_VERSION}.orig.tar.gz --exclude CVS sup-${UPSTREAM_VERSION}
	@rm -rf /tmp/src
